org.apache.ignite.internal.processors.cache.persistence.snapshot

## Class IgniteCacheSnapshotManager<T extends SnapshotOperation>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheSharedManagerAdapter
  - - org.apache.ignite.internal.processors.cache.persistence.snapshot.IgniteCacheSnapshotManager<T>

All Implemented Interfaces:
  GridCacheSharedManager, IgniteChangeGlobalStateSupport

Deprecated.
Use `IgniteSnapshotManager`.

    @Deprecated
    public class IgniteCacheSnapshotManager<T extends SnapshotOperation>
    extends GridCacheSharedManagerAdapter
    implements IgniteChangeGlobalStateSupport

Snapshot manager stub.

### Field Summary

Fields
`static String` `SNAPSHOT_RESTORE_STARTED_LOCK_FILENAME` Deprecated. Snapshot started lock filename.
`static String` `TEMP_FILES_COMPLETENESS_MARKER` Deprecated. Temp files completeness marker.

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheSharedManagerAdapter

`cctx, diagnosticLog, log`

### Constructor Summary

Constructors
Constructor and Description
`IgniteCacheSnapshotManager()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `afterCheckpointPageWritten()` Deprecated.
`void` `beforeCheckpointPageWritten()` Deprecated.
`void` `beforePageWrite(FullPageId fullId)` Deprecated.
`boolean` `needTxReadLogging()` Deprecated.
`void` `onActivate(GridKernalContext kctx)` Deprecated. Called when cluster performing activation.
`void` `onCacheGroupStop(CacheGroupContext gctx, boolean destroy)` Deprecated.
`void` `onCacheStop(GridCacheContext<?,?> cctx, boolean destroy)` Deprecated.
`void` `onChangeTrackerPage(Long page, FullPageId fullId, PageMemory pageMem)` Deprecated.
`void` `onDeActivate(GridKernalContext kctx)` Deprecated. Called when cluster performing deactivation.
`IgniteFuture<?>` `onMarkCheckPointBegin(T snapshotOperation, PartitionAllocationMap map)` Deprecated.
`boolean` `partitionsAreFrozen(CacheGroupContext grp)` Deprecated.
`boolean` `snapshotOperationInProgress()` Deprecated.
`@Nullable IgniteInternalFuture` `startLocalSnapshotOperation(UUID initiatorNodeId, T snapshotOperation, AffinityTopologyVersion topVer)` Deprecated.
`@Nullable IgniteInternalFuture` `tryStartLocalSnapshotOperation(@Nullable DiscoveryEvent discoveryEvt, AffinityTopologyVersion topVer)` Deprecated. Try to start local snapshot operation if it's required by discovery event.

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheSharedManagerAdapter

`context, isStopping, kernalStartInfo, kernalStopInfo, log, onDisconnected, onKernalStart, onKernalStart0, onKernalStop, onKernalStop0, onReconnected, printMemoryStats, start, start0, startInfo, stop, stop0, stopInfo, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SNAPSHOT_RESTORE_STARTED_LOCK_FILENAME

    public static final String SNAPSHOT_RESTORE_STARTED_LOCK_FILENAME

Deprecated.
Snapshot started lock filename.

See Also:
  Constant Field Values

#### TEMP_FILES_COMPLETENESS_MARKER

    public static final String TEMP_FILES_COMPLETENESS_MARKER

Deprecated.
Temp files completeness marker.

See Also:
  Constant Field Values

### Constructor Detail

#### IgniteCacheSnapshotManager

    public IgniteCacheSnapshotManager()

Deprecated.

### Method Detail

#### tryStartLocalSnapshotOperation

    @Nullable
    public @Nullable IgniteInternalFuture tryStartLocalSnapshotOperation(@Nullable
                                                                                   @Nullable DiscoveryEvent discoveryEvt,
                                                                                   AffinityTopologyVersion topVer)
                                                                            throws IgniteCheckedException

Deprecated.
Try to start local snapshot operation if it's required by discovery event.

Parameters:
  `discoveryEvt` - Discovery event.
  `topVer` - topology version on the moment when this method was called
Throws:
  `IgniteCheckedException` - if failed

#### startLocalSnapshotOperation

    @Nullable
    public @Nullable IgniteInternalFuture startLocalSnapshotOperation(UUID initiatorNodeId,
                                                                                T snapshotOperation,
                                                                                AffinityTopologyVersion topVer)
                                                                         throws IgniteCheckedException

Deprecated.

Parameters:
  `initiatorNodeId` - Initiator node id.
  `snapshotOperation` - Snapshot operation.
Throws:
  `IgniteCheckedException`

#### onMarkCheckPointBegin

    public IgniteFuture<?> onMarkCheckPointBegin(T snapshotOperation,
                                                 PartitionAllocationMap map)
                                          throws IgniteCheckedException

Deprecated.

Parameters:
  `snapshotOperation` - current snapshot operation.
  `map` - (cacheId, partId) -> (lastAllocatedIndex, count)
Returns:
  `true` if next operation must be snapshot, `false` if checkpoint must be executed.
Throws:
  `IgniteCheckedException`

#### partitionsAreFrozen

    public boolean partitionsAreFrozen(CacheGroupContext grp)

Deprecated.

#### snapshotOperationInProgress

    public boolean snapshotOperationInProgress()

Deprecated.

#### beforeCheckpointPageWritten

    public void beforeCheckpointPageWritten()

Deprecated.

#### afterCheckpointPageWritten

    public void afterCheckpointPageWritten()

Deprecated.

#### beforePageWrite

    public void beforePageWrite(FullPageId fullId)

Deprecated.

Parameters:
  `fullId` - Full id.

#### onCacheStop

    public void onCacheStop(GridCacheContext<?,?> cctx,
                            boolean destroy)

Deprecated.

Parameters:
  `cctx` - Cctx.
  `destroy` - Destroy flag.

#### onCacheGroupStop

    public void onCacheGroupStop(CacheGroupContext gctx,
                                 boolean destroy)

Deprecated.

Parameters:
  `gctx` - Cctx.
  `destroy` - Destroy flag.

#### onChangeTrackerPage

    public void onChangeTrackerPage(Long page,
                                    FullPageId fullId,
                                    PageMemory pageMem)
                             throws IgniteCheckedException

Deprecated.

Throws:
  `IgniteCheckedException`

#### onActivate

    public void onActivate(GridKernalContext kctx)
                    throws IgniteCheckedException

Deprecated.
Called when cluster performing activation.

Specified by:
  `onActivate` in interface `IgniteChangeGlobalStateSupport`
Parameters:
  `kctx` - Kernal context.
Throws:
  `IgniteCheckedException` - If failed.

#### onDeActivate

    public void onDeActivate(GridKernalContext kctx)

Deprecated.
Called when cluster performing deactivation.

Specified by:
  `onDeActivate` in interface `IgniteChangeGlobalStateSupport`
Parameters:
  `kctx` - Kernal context.

#### needTxReadLogging

    public boolean needTxReadLogging()

Deprecated.

Returns:
  `True` if TX READ records must be logged in WAL.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020